#import <appkit/Panel.h>

@class List;

@interface OpenTalk:Panel
{
	id    browser;
	id    form;
	id    iconButton;
	id    okButton;
	id    separator;
	id    modeButton;
	id    modePopup;
	id    serverNameField;
	int   clientNumber;
	char  clientName[1024];
}

- setupPopupFrom:(List *)classList;
- setServerName:(const char *)aServerName;
- (int)runModal;

- cancel:sender;
- ok:sender;
- rescan:sender;
- click:sender;

- (int)clientNumber;
- (const char*)clientName;
- (const char*)topic;

- setClassName:(const char *)aClassName;
- (const char *)className;

@end

@interface Loader:Object
{
	id  thePanel;
}

- thePanel;

@end